# UniTAP.dev.ports.modules.fec.fec_shared

class FECCounters:

Class `FECCounters` possible errors:

- Uncorrected block errors.
- Corrected block errors.
- Bit errors.
- Parity block errors.
- Parity bit errors.

uncorrectedBlockErrors
correctedBlockErrors
bitErrors
parityBlockErrors
parityBitErrors
class FECErrorType8b10b(enum.IntEnum):

Describes possible FEC 8b/10b errors.

UNCORRECTED_BLOCK = <FECErrorType8b10b.UNCORRECTED_BLOCK: 0>
CORRECTED_BLOCK = <FECErrorType8b10b.CORRECTED_BLOCK: 1>
CORRECTED_PARITY = <FECErrorType8b10b.CORRECTED_PARITY: 2>
CORRECTED_BLOCK_1 = <FECErrorType8b10b.CORRECTED_BLOCK_1: 3>
CORRECTED_PARITY_1 = <FECErrorType8b10b.CORRECTED_PARITY_1: 4>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator

class FECErrorType128b132b(enum.IntEnum):

Describes possible FEC 128b/132b errors.

UNCORRECTED_BLOCK = <FECErrorType128b132b.UNCORRECTED_BLOCK: 0>
CORRECTED_BLOCK_4 = <FECErrorType128b132b.CORRECTED_BLOCK_4: 1>
CORRECTED_BLOCK_2 = <FECErrorType128b132b.CORRECTED_BLOCK_2: 3>

##### Inherited Members

enum.Enum
  name
  value
builtins.int
  conjugate
  bit_length
  bit_count
  to_bytes
  from_bytes
  as_integer_ratio
  real
  imag
  numerator
  denominator